Bug 478123 - MIGRATED_FROM_JIRA: NullPointerException at PenroseInterceptor.lookup(...):390
MIGRATED_FROM_JIRA: NullPointerException at PenroseInterceptor.lookup(...):390
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:01 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:01:28 EST
[02/16/2006 16:36:54]
java.lang.NullPointerException
        at org.safehaus.penrose.ldap.PenroseInterceptor.lookup(PenroseInterceptor.java:390)
        at org.apache.ldap.server.interceptor.InterceptorChain.lookup(InterceptorChain.java:788)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.lookup(DirectoryPartitionNexusProxy.java:427)
        at org.apache.ldap.server.authn.SimpleAuthenticator.authenticate(SimpleAuthenticator.java:121)
        at org.apache.ldap.server.authn.AuthenticationService.authenticate(AuthenticationService.java:368)
        at org.apache.ldap.server.authn.AuthenticationService.hasEntry(AuthenticationService.java:216)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.apache.ldap.server.normalization.NormalizationService.hasEntry(NormalizationService.java:182)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.safehaus.penrose.ldap.PenroseInterceptor.hasEntry(PenroseInterceptor.java:317)
        at org.apache.ldap.server.interceptor.InterceptorChain.hasEntry(InterceptorChain.java:809)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:449)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:438)
        at org.apache.ldap.server.jndi.ServerContext.<init>(ServerContext.java:139)
        at org.apache.ldap.server.jndi.ServerDirContext.<init>(ServerDirContext.java:78)
        at org.apache.ldap.server.jndi.ServerLdapContext.<init>(ServerLdapContext.java:58)
        at org.apache.ldap.server.DefaultDirectoryService.getJndiContext(DefaultDirectoryService.java:172)
        at org.apache.ldap.server.jndi.AbstractContextFactory.getInitialContext(AbstractContextFactory.java:121)
        at javax.naming.spi.NamingManager.getInitialContext(NamingManager.java:667)
        at javax.naming.InitialContext.getDefaultInitCtx(InitialContext.java:247)
        at javax.naming.InitialContext.init(InitialContext.java:223)
        at javax.naming.ldap.InitialLdapContext.<init>(InitialLdapContext.java:134)
        at org.apache.ldap.server.protocol.support.BindHandler.messageReceived(BindHandler.java:119)
        at org.apache.mina.protocol.handler.DemuxingProtocolHandler.messageReceived(DemuxingProtocolHandler.java:94)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$2.messageReceived(AbstractProtocolFilterChain.java:149)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$1.messageReceived(AbstractProtocolFilterChain.java:99)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.messageReceived(AbstractProtocolFilterChain.java:356)
        at org.apache.mina.protocol.ProtocolSessionManagerFilterChain$1.messageReceived(ProtocolSessionManagerFilterChain.java:76)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.filter.ProtocolThreadPoolFilter.processEvent(ProtocolThreadPoolFilter.java:108)
        at org.apache.mina.util.BaseThreadPool$Worker.processEvents(BaseThreadPool.java:410)
        at org.apache.mina.util.BaseThreadPool$Worker.run(BaseThreadPool.java:355)
[02/16/2006 16:37:03]
java.lang.NullPointerException
        at org.safehaus.penrose.ldap.PenroseInterceptor.lookup(PenroseInterceptor.java:390)
        at org.apache.ldap.server.interceptor.InterceptorChain.lookup(InterceptorChain.java:788)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.lookup(DirectoryPartitionNexusProxy.java:427)
        at org.apache.ldap.server.authn.SimpleAuthenticator.authenticate(SimpleAuthenticator.java:121)
        at org.apache.ldap.server.authn.AuthenticationService.authenticate(AuthenticationService.java:368)
        at org.apache.ldap.server.authn.AuthenticationService.hasEntry(AuthenticationService.java:216)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.apache.ldap.server.normalization.NormalizationService.hasEntry(NormalizationService.java:182)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.safehaus.penrose.ldap.PenroseInterceptor.hasEntry(PenroseInterceptor.java:317)
        at org.apache.ldap.server.interceptor.InterceptorChain.hasEntry(InterceptorChain.java:809)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:449)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:438)
        at org.apache.ldap.server.jndi.ServerContext.<init>(ServerContext.java:139)
        at org.apache.ldap.server.jndi.ServerDirContext.<init>(ServerDirContext.java:78)
        at org.apache.ldap.server.jndi.ServerLdapContext.<init>(ServerLdapContext.java:58)
        at org.apache.ldap.server.DefaultDirectoryService.getJndiContext(DefaultDirectoryService.java:172)
        at org.apache.ldap.server.jndi.AbstractContextFactory.getInitialContext(AbstractContextFactory.java:121)
        at javax.naming.spi.NamingManager.getInitialContext(NamingManager.java:667)
        at javax.naming.InitialContext.getDefaultInitCtx(InitialContext.java:247)
        at javax.naming.InitialContext.init(InitialContext.java:223)
        at javax.naming.ldap.InitialLdapContext.<init>(InitialLdapContext.java:134)
        at org.apache.ldap.server.protocol.support.BindHandler.messageReceived(BindHandler.java:119)
        at org.apache.mina.protocol.handler.DemuxingProtocolHandler.messageReceived(DemuxingProtocolHandler.java:94)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$2.messageReceived(AbstractProtocolFilterChain.java:149)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$1.messageReceived(AbstractProtocolFilterChain.java:99)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.messageReceived(AbstractProtocolFilterChain.java:356)
        at org.apache.mina.protocol.ProtocolSessionManagerFilterChain$1.messageReceived(ProtocolSessionManagerFilterChain.java:76)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.filter.ProtocolThreadPoolFilter.processEvent(ProtocolThreadPoolFilter.java:108)
        at org.apache.mina.util.BaseThreadPool$Worker.processEvents(BaseThreadPool.java:410)
        at org.apache.mina.util.BaseThreadPool$Worker.run(BaseThreadPool.java:355)
[02/16/2006 16:37:11]
java.lang.NullPointerException
        at org.safehaus.penrose.ldap.PenroseInterceptor.lookup(PenroseInterceptor.java:390)
        at org.apache.ldap.server.interceptor.InterceptorChain.lookup(InterceptorChain.java:788)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.lookup(DirectoryPartitionNexusProxy.java:427)
        at org.apache.ldap.server.authn.SimpleAuthenticator.authenticate(SimpleAuthenticator.java:121)
        at org.apache.ldap.server.authn.AuthenticationService.authenticate(AuthenticationService.java:368)
        at org.apache.ldap.server.authn.AuthenticationService.hasEntry(AuthenticationService.java:216)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.apache.ldap.server.normalization.NormalizationService.hasEntry(NormalizationService.java:182)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.safehaus.penrose.ldap.PenroseInterceptor.hasEntry(PenroseInterceptor.java:317)
        at org.apache.ldap.server.interceptor.InterceptorChain.hasEntry(InterceptorChain.java:809)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:449)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:438)
        at org.apache.ldap.server.jndi.ServerContext.<init>(ServerContext.java:139)
        at org.apache.ldap.server.jndi.ServerDirContext.<init>(ServerDirContext.java:78)
        at org.apache.ldap.server.jndi.ServerLdapContext.<init>(ServerLdapContext.java:58)
        at org.apache.ldap.server.DefaultDirectoryService.getJndiContext(DefaultDirectoryService.java:172)
        at org.apache.ldap.server.jndi.AbstractContextFactory.getInitialContext(AbstractContextFactory.java:121)
        at javax.naming.spi.NamingManager.getInitialContext(NamingManager.java:667)
        at javax.naming.InitialContext.getDefaultInitCtx(InitialContext.java:247)
        at javax.naming.InitialContext.init(InitialContext.java:223)
        at javax.naming.ldap.InitialLdapContext.<init>(InitialLdapContext.java:134)
        at org.apache.ldap.server.protocol.support.BindHandler.messageReceived(BindHandler.java:119)
        at org.apache.mina.protocol.handler.DemuxingProtocolHandler.messageReceived(DemuxingProtocolHandler.java:94)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$2.messageReceived(AbstractProtocolFilterChain.java:149)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$1.messageReceived(AbstractProtocolFilterChain.java:99)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.messageReceived(AbstractProtocolFilterChain.java:356)
        at org.apache.mina.protocol.ProtocolSessionManagerFilterChain$1.messageReceived(ProtocolSessionManagerFilterChain.java:76)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.filter.ProtocolThreadPoolFilter.processEvent(ProtocolThreadPoolFilter.java:108)
        at org.apache.mina.util.BaseThreadPool$Worker.processEvents(BaseThreadPool.java:410)
        at org.apache.mina.util.BaseThreadPool$Worker.run(BaseThreadPool.java:355)


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'reporter' => 'ddimitro',
          'key' => 'PENROSE-137',
          'assignee' => 'endisd',
          'summary' => 'NullPointerException at PenroseInterceptor.lookup(...):390',
          'id' => '10377',
          'updated' => '2006-04-17 13:17:56.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-06-12 00:00:00.0',
                             'sequence' => '12',
                             'name' => 'Penrose-1.0',
                             'released' => 'true',
                             'id' => '10072',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => '[02/16/2006 16:36:54]
java.lang.NullPointerException
        at org.safehaus.penrose.ldap.PenroseInterceptor.lookup(PenroseInterceptor.java:390)
        at org.apache.ldap.server.interceptor.InterceptorChain.lookup(InterceptorChain.java:788)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.lookup(DirectoryPartitionNexusProxy.java:427)
        at org.apache.ldap.server.authn.SimpleAuthenticator.authenticate(SimpleAuthenticator.java:121)
        at org.apache.ldap.server.authn.AuthenticationService.authenticate(AuthenticationService.java:368)
        at org.apache.ldap.server.authn.AuthenticationService.hasEntry(AuthenticationService.java:216)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.apache.ldap.server.normalization.NormalizationService.hasEntry(NormalizationService.java:182)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.safehaus.penrose.ldap.PenroseInterceptor.hasEntry(PenroseInterceptor.java:317)
        at org.apache.ldap.server.interceptor.InterceptorChain.hasEntry(InterceptorChain.java:809)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:449)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:438)
        at org.apache.ldap.server.jndi.ServerContext.<init>(ServerContext.java:139)
        at org.apache.ldap.server.jndi.ServerDirContext.<init>(ServerDirContext.java:78)
        at org.apache.ldap.server.jndi.ServerLdapContext.<init>(ServerLdapContext.java:58)
        at org.apache.ldap.server.DefaultDirectoryService.getJndiContext(DefaultDirectoryService.java:172)
        at org.apache.ldap.server.jndi.AbstractContextFactory.getInitialContext(AbstractContextFactory.java:121)
        at javax.naming.spi.NamingManager.getInitialContext(NamingManager.java:667)
        at javax.naming.InitialContext.getDefaultInitCtx(InitialContext.java:247)
        at javax.naming.InitialContext.init(InitialContext.java:223)
        at javax.naming.ldap.InitialLdapContext.<init>(InitialLdapContext.java:134)
        at org.apache.ldap.server.protocol.support.BindHandler.messageReceived(BindHandler.java:119)
        at org.apache.mina.protocol.handler.DemuxingProtocolHandler.messageReceived(DemuxingProtocolHandler.java:94)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$2.messageReceived(AbstractProtocolFilterChain.java:149)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$1.messageReceived(AbstractProtocolFilterChain.java:99)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.messageReceived(AbstractProtocolFilterChain.java:356)
        at org.apache.mina.protocol.ProtocolSessionManagerFilterChain$1.messageReceived(ProtocolSessionManagerFilterChain.java:76)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.filter.ProtocolThreadPoolFilter.processEvent(ProtocolThreadPoolFilter.java:108)
        at org.apache.mina.util.BaseThreadPool$Worker.processEvents(BaseThreadPool.java:410)
        at org.apache.mina.util.BaseThreadPool$Worker.run(BaseThreadPool.java:355)
[02/16/2006 16:37:03]
java.lang.NullPointerException
        at org.safehaus.penrose.ldap.PenroseInterceptor.lookup(PenroseInterceptor.java:390)
        at org.apache.ldap.server.interceptor.InterceptorChain.lookup(InterceptorChain.java:788)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.lookup(DirectoryPartitionNexusProxy.java:427)
        at org.apache.ldap.server.authn.SimpleAuthenticator.authenticate(SimpleAuthenticator.java:121)
        at org.apache.ldap.server.authn.AuthenticationService.authenticate(AuthenticationService.java:368)
        at org.apache.ldap.server.authn.AuthenticationService.hasEntry(AuthenticationService.java:216)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.apache.ldap.server.normalization.NormalizationService.hasEntry(NormalizationService.java:182)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.safehaus.penrose.ldap.PenroseInterceptor.hasEntry(PenroseInterceptor.java:317)
        at org.apache.ldap.server.interceptor.InterceptorChain.hasEntry(InterceptorChain.java:809)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:449)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:438)
        at org.apache.ldap.server.jndi.ServerContext.<init>(ServerContext.java:139)
        at org.apache.ldap.server.jndi.ServerDirContext.<init>(ServerDirContext.java:78)
        at org.apache.ldap.server.jndi.ServerLdapContext.<init>(ServerLdapContext.java:58)
        at org.apache.ldap.server.DefaultDirectoryService.getJndiContext(DefaultDirectoryService.java:172)
        at org.apache.ldap.server.jndi.AbstractContextFactory.getInitialContext(AbstractContextFactory.java:121)
        at javax.naming.spi.NamingManager.getInitialContext(NamingManager.java:667)
        at javax.naming.InitialContext.getDefaultInitCtx(InitialContext.java:247)
        at javax.naming.InitialContext.init(InitialContext.java:223)
        at javax.naming.ldap.InitialLdapContext.<init>(InitialLdapContext.java:134)
        at org.apache.ldap.server.protocol.support.BindHandler.messageReceived(BindHandler.java:119)
        at org.apache.mina.protocol.handler.DemuxingProtocolHandler.messageReceived(DemuxingProtocolHandler.java:94)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$2.messageReceived(AbstractProtocolFilterChain.java:149)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$1.messageReceived(AbstractProtocolFilterChain.java:99)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.messageReceived(AbstractProtocolFilterChain.java:356)
        at org.apache.mina.protocol.ProtocolSessionManagerFilterChain$1.messageReceived(ProtocolSessionManagerFilterChain.java:76)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.filter.ProtocolThreadPoolFilter.processEvent(ProtocolThreadPoolFilter.java:108)
        at org.apache.mina.util.BaseThreadPool$Worker.processEvents(BaseThreadPool.java:410)
        at org.apache.mina.util.BaseThreadPool$Worker.run(BaseThreadPool.java:355)
[02/16/2006 16:37:11]
java.lang.NullPointerException
        at org.safehaus.penrose.ldap.PenroseInterceptor.lookup(PenroseInterceptor.java:390)
        at org.apache.ldap.server.interceptor.InterceptorChain.lookup(InterceptorChain.java:788)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.lookup(DirectoryPartitionNexusProxy.java:427)
        at org.apache.ldap.server.authn.SimpleAuthenticator.authenticate(SimpleAuthenticator.java:121)
        at org.apache.ldap.server.authn.AuthenticationService.authenticate(AuthenticationService.java:368)
        at org.apache.ldap.server.authn.AuthenticationService.hasEntry(AuthenticationService.java:216)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.apache.ldap.server.normalization.NormalizationService.hasEntry(NormalizationService.java:182)
        at org.apache.ldap.server.interceptor.InterceptorChain$2.hasEntry(InterceptorChain.java:1232)
        at org.safehaus.penrose.ldap.PenroseInterceptor.hasEntry(PenroseInterceptor.java:317)
        at org.apache.ldap.server.interceptor.InterceptorChain.hasEntry(InterceptorChain.java:809)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:449)
        at org.apache.ldap.server.partition.DirectoryPartitionNexusProxy.hasEntry(DirectoryPartitionNexusProxy.java:438)
        at org.apache.ldap.server.jndi.ServerContext.<init>(ServerContext.java:139)
        at org.apache.ldap.server.jndi.ServerDirContext.<init>(ServerDirContext.java:78)
        at org.apache.ldap.server.jndi.ServerLdapContext.<init>(ServerLdapContext.java:58)
        at org.apache.ldap.server.DefaultDirectoryService.getJndiContext(DefaultDirectoryService.java:172)
        at org.apache.ldap.server.jndi.AbstractContextFactory.getInitialContext(AbstractContextFactory.java:121)
        at javax.naming.spi.NamingManager.getInitialContext(NamingManager.java:667)
        at javax.naming.InitialContext.getDefaultInitCtx(InitialContext.java:247)
        at javax.naming.InitialContext.init(InitialContext.java:223)
        at javax.naming.ldap.InitialLdapContext.<init>(InitialLdapContext.java:134)
        at org.apache.ldap.server.protocol.support.BindHandler.messageReceived(BindHandler.java:119)
        at org.apache.mina.protocol.handler.DemuxingProtocolHandler.messageReceived(DemuxingProtocolHandler.java:94)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$2.messageReceived(AbstractProtocolFilterChain.java:149)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$1.messageReceived(AbstractProtocolFilterChain.java:99)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.messageReceived(AbstractProtocolFilterChain.java:356)
        at org.apache.mina.protocol.ProtocolSessionManagerFilterChain$1.messageReceived(ProtocolSessionManagerFilterChain.java:76)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.filter.ProtocolThreadPoolFilter.processEvent(ProtocolThreadPoolFilter.java:108)
        at org.apache.mina.util.BaseThreadPool$Worker.processEvents(BaseThreadPool.java:410)
        at org.apache.mina.util.BaseThreadPool$Worker.run(BaseThreadPool.java:355)
',
          'created' => '2006-03-13 03:54:57.0',
          'resolution' => '5',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:01:30 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-137

Note You need to log in before you can comment on or make changes to this bug.